Authentication Bypass

Affecting github.com/grafana/grafana/pkg/api package, versions >=8.0.0 <8.1.6 || >=2.0.1 <7.5.11

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

github.com/grafana/grafana/pkg/api is an open and composable observability and data visualization platform.

Affected versions of this package are vulnerable to Authentication Bypass. Both unauthenticated and authenticated users are able to view the snapshot with the lowest database key by accessing the literal paths /dashboard/snapshot/:key or /api/snapshots/:key.

Additionally, if the snapshot public_mode configuration setting is set to true (the default is false), unauthenticated users are also able to delete the snapshot with the lowest database key by accessing the literal path /api/snapshots-delete/:deleteKey. Authenticated users are able to delete the snapshot with the lowest database key regardless of the snapshot public_mode, by accessing either one of the literal paths: /api/snapshots/:key or /api/snapshots-delete/:deleteKey.

The combination of deletion and viewing enables a complete walk through all snapshot data while resulting in complete snapshot data loss.

Remediation

Upgrade github.com/grafana/grafana/pkg/api to version 8.1.6, 7.5.11 or higher.

References

CVSS Score

9.8
critical severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Credit
theblackturtle
CVE
CVE-2021-39226
CWE
CWE-287
Snyk ID
SNYK-GOLANG-GITHUBCOMGRAFANAGRAFANAPKGAPI-1728395
Disclosed
05 Oct, 2021
Published
06 Oct, 2021